Creates a ResourceValueConfig for an organization. Maps user's tags to different resource values for use by the attack path simulation.
IAM Permissions
Requires the following IAM permission on the resource specified in the parent field:
securitycenter.resourcevalueconfigs.create
HTTP request
POST https://securitycenter.googleapis.com/v2/{parent=organizations/*/locations/*}/resourceValueConfigs:batchCreate The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Resource name of the new ResourceValueConfig's parent. The parent field in the CreateResourceValueConfigRequest messages must either be empty or match this field. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The resource value configs to be created. |
Response body
If successful, the response body contains an instance of BatchCreateResourceValueConfigsResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.